Ограничение трафика
Определение
Ограничение трафика (полисинг) — механизм, который сравнивает поток с профилем скорости и всплеска и применяет к пакетам вне профиля заданное действие. Обычно это отбрасывание или смена метки; задерживать такие пакеты в очереди, как формирователь, ограничитель не обязан.
Также ищут: Traffic policing · полисинг трафика · ограничитель QoS
Зачем это знать
Ограничитель защищает границу, но может вызывать потери и повторные передачи. Нужно знать скорость, способ измерения, допустимый всплеск и действие: отбросить, изменить метку или другое.
Карта понятия
Использует
Сравнить
Что подтверждено
Ограничитель DiffServ использует измеритель и профиль и может отбросить, изменить метку или иначе обработать пакеты по результату проверки.
Граница применимости: Нормирование трафика на границе DiffServ.
Ограничитель не обязан ставить пакеты вне профиля в очередь до подходящего времени; этим он отличается от формирователя.
Граница применимости: Логическое различие ограничителя и формирователя трафика.
Что проверить
- Запишите способ измерения и профиль.
- Проверьте допустимый всплеск.
- Снимите счётчики соответствия, превышения, отбрасывания и смены метки.
Первоисточники
- RFC 2475: An Architecture for Differentiated Services
Определяет DS domain, classifiers, meters, markers, shapers, policers, behavior aggregates и per-hop behaviors.
Утверждения: 01
- RFC 3290: An Informal Management Model for Diffserv Routers
Даёт operational model для classifiers, meters, markers, droppers, queues, schedulers, shaping, policing и token buckets.
- RFC 2697: A Single Rate Three Color Marker
Определяет meter на основе committed information rate и двух token buckets с committed/excess burst sizes.